header {
  position: relative;
  z-index: 1;
  margin: 0 auto;
  background: #ffcf0f;
  transform: translateZ(0);
  filter: drop-shadow(0px 0px 2.6666666667vw rgba(0, 0, 0, 0.3));
  width: 89.3333333333vw;
  border-radius: 0 0 5.3333333333vw min(40px,  calc(40 / 1366 * 100vw));
  border: 1.0666666667vw solid #fff;
  border-top: none;
}

header .inner {
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 6.6666666667vw;
  width: 77.3333333333vw;
  padding: 8.6666666667vw 0 6.6666666667vw 0;
}

header .logo {
  width: 56vw;
}

header .texts {
  flex: 1;
}

header .title {
  width: 73.3333333333vw;
}

header .button {
  position: relative;
  font-weight: 700;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #fff;
  aspect-ratio: 460/88;
  width: 61.3333333333vw;
  border-radius: 5.8666666667vw;
  font-size: 16px;
}

header .button::after {
  content: "";
  aspect-ratio: 1;
  border-top: 2px solid #000;
  border-right: 2px solid #000;
  position: absolute;
  top: 50%;
  transform: translateY(-50%) rotate(45deg);
  width: 1.6vw;
  right: 4vw;
}

header .caution {
  font-weight: 400;
  line-height: 1.5;
  text-indent: -1em;
  margin-left: 1em;
  font-size: 12px;
}

.shares ul {
  display: flex;
  justify-content: center;
  gap: 4vw;
}

.shares a {
  display: block;
  width: 10.6666666667vw;
}

footer {
  background: #efefef;
  position: fixed;
  left: 0;
  bottom: 0;
  z-index: 90000;
  width: 100%;
  transform: translateZ(0);
  filter: drop-shadow(0px 0px 2.6666666667vw rgba(0, 0, 0, 0.3));
}

footer #closeFooter {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  background: #ffcf0f;
  aspect-ratio: 180/70;
  width: 24vw;
  border-radius: 2.6666666667vw 2.6666666667vw 0 0;
  top: -9.2vw;
}

footer #closeFooter::after {
  content: "";
  display: block;
  transform: translateY(-20%) rotate(-45deg);
  border-bottom: 3px solid #000;
  border-left: 3px solid #000;
  aspect-ratio: 1;
  width: 3.2vw;
}

footer:not(.is-open) #closeFooter::after {
  transform: translateY(30%) rotate(135deg);
}

footer .inner {
  display: flex;
  align-items: center;
  flex-direction: column;
  border-top: 2.6666666667vw solid #ffcf0f;
  overflow: hidden;
  height: auto;
  transition: height 0.2s;
}

footer .banner {
  width: 100%;
}

footer .links {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 5.3333333333vw;
  padding: 8vw 0 6.6666666667vw 0;
}

footer .official a {
  position: relative;
  font-weight: 700;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #fff;
  aspect-ratio: 640/88;
  width: 85.3333333333vw;
  border-radius: 5.8666666667vw;
  font-size: 16px;
}

footer .official a::after {
  content: "";
  aspect-ratio: 1;
  border-top: 2px solid #000;
  border-right: 2px solid #000;
  position: absolute;
  top: 50%;
  transform: translateY(-50%) rotate(45deg);
  width: 1.6vw;
  right: 4vw;
}

footer .copyright,
footer .caution {
  text-align: center;
  line-height: 1.8;
  font-size: 12px;
}

.pagetop {
  position: fixed;
  z-index: 80000;
  transition: transform 0.6s, opacity 0.3s;
  aspect-ratio: 1;
  background: #fff;
  border-radius: 2.6666666667vw;
  filter: drop-shadow(0 0 2.6666666667vw rgba(0, 0, 0, 0.3));
  transform: translateY(16vw);
  right: 2.6666666667vw;
  bottom: 4vw;
  width: 10.6666666667vw;
}

.pagetop[data-visible=true] {
  transform: translateY(0);
}

.pagetop::after {
  content: "";
  position: absolute;
  top: 57%;
  left: 50%;
  aspect-ratio: 1;
  transform: translate(-50%, -50%) rotate(45deg);
  width: 2.5333333333vw;
  border-left: 0.6666666667vw solid #000;
  border-top: 0.6666666667vw solid #000;
}

html:has(.modal.is-open) {
  overflow: hidden !important;
}

.modal {
  display: none;
  position: fixed;
  top: 0;
  width: 100vw;
  height: 100dvh;
  z-index: 100000;
  align-items: center;
  justify-content: center;
  overflow: auto;
  overscroll-behavior: contain;
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.modal.is-open {
  display: block;
}

.modal::-webkit-scrollbar {
  display: none;
}

.modal .modal-background {
  position: fixed;
  inset: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.8);
  cursor: default;
}

.modal .modal-content {
  box-sizing: border-box;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  padding: 5vh 0;
}

.modal .modal-inner {
  position: relative;
  max-height: calc(100vh - 24vw);
  overflow-y: auto;
  margin: auto 0;
  position: relative;
  box-sizing: border-box;
  background: #fff;
  width: 89.3333333333vw;
  border-radius: 2.6666666667vw;
  border: 1.0666666667vw solid #fff;
}

.modal .modal-close {
  background: url(../img/ic_close.svg) no-repeat;
  background-size: contain;
  position: fixed;
  aspect-ratio: 1;
  width: 8.2666666667vw;
  top: 2.6666666667vw;
  right: 2.6666666667vw;
}

#modal-terms dl {
  position: relative;
  overflow: hidden;
  border-radius: 2.6666666667vw;
}

#modal-terms dl dt {
  background: #ffcf0f;
  text-align: center;
  padding: 4.6666666667vw 0;
  font-weight: 700;
  line-height: 1.5;
  font-size: 24px;
}

#modal-terms dl dd.texts {
  padding: 7.3333333333vw 4vw;
}

#modal-terms dl dd.texts ul {
  display: flex;
  flex-direction: column;
  gap: 4vw;
}

#modal-terms dl dd.texts li {
  text-indent: -0.8em;
  margin-left: 0.8em;
  line-height: 2;
  font-weight: 400;
  font-size: 16px;
}

#modal-terms dl dd.button {
  padding-bottom: 9.3333333333vw;
}

#modal-terms dl dd.button button {
  display: flex;
  justify-content: center;
  align-items: center;
  background: #000;
  color: #fff;
  border: 0.8vw solid #fff;
  box-sizing: border-box;
  transform: translateZ(0);
  font-weight: 700;
  gap: 1.6vw;
  aspect-ratio: 400/88;
  border-radius: 5.8666666667vw;
  width: 53.3333333333vw;
  margin: 0 auto;
  filter: drop-shadow(0px 0px 2.6666666667vw rgba(0, 0, 0, 0.3));
  font-size: 16px;
}

#modal-terms dl dd.button button::before {
  content: "";
  background: url(../img/ic_close.svg) no-repeat;
  background-size: contain;
  aspect-ratio: 1;
  width: 3.7333333333vw;
}

#modal-search dl {
  position: relative;
  overflow: hidden;
  border-radius: 2.6666666667vw;
  padding-bottom: 10.6666666667vw;
}

#modal-search dl::after {
  content: "";
  position: absolute;
  left: 0;
  top: 14.9333333333vw;
  width: 100%;
  background: #ffcf0f;
  height: 2vw;
}

#modal-search dt {
  position: relative;
  cursor: pointer;
  text-align: center;
  background: #f8f8f8;
  position: absolute;
  top: 0;
  width: 33.3%;
  line-height: 1.5;
  font-weight: 700;
  padding: 2vw 0;
  font-size: 18px;
}

#modal-search dt:nth-of-type(1) {
  left: 0;
}

#modal-search dt:nth-of-type(2) {
  left: 33.3%;
}

#modal-search dt:nth-of-type(3) {
  right: 0;
}

#modal-search dt.is-active {
  background: #ffcf0f;
  pointer-events: none;
}

#modal-search dt:nth-of-type(1)::before,
#modal-search dt:nth-of-type(2)::before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 2px;
  height: 100%;
  background: #fff;
}

#modal-search dt.is-active + dd {
  display: block !important;
}

#modal-search dd {
  display: none;
  margin: 0 auto;
  width: 74.6666666667vw;
  padding-top: 24vw;
}

#modal-search dd .searchBtn {
  display: flex;
  justify-content: center;
  align-items: center;
  background: #000;
  color: #fff;
  border: 0.8vw solid #fff;
  box-sizing: border-box;
  transform: translateZ(0);
  font-weight: 700;
  gap: 1.6vw;
  aspect-ratio: 400/88;
  border-radius: 5.8666666667vw;
  width: 53.3333333333vw;
  margin: 5.3333333333vw auto 0 auto;
  filter: drop-shadow(0px 0px 2.6666666667vw rgba(0, 0, 0, 0.3));
  font-size: 16px;
}

#modal-search dd .searchBtn::before {
  content: "";
  background: url(../img/ic_search_w.svg) no-repeat;
  background-size: contain;
  aspect-ratio: 1;
  width: 3.7333333333vw;
}

#modal-search #searchBtnChars:disabled {
  opacity: 0.3;
  pointer-events: none;
}

#modal-search #noRanges,
#modal-search #areaFilters {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 4vw;
}

#modal-search #noRanges label:has(input:checked) span,
#modal-search #areaFilters label:has(input:checked) span {
  background: #ffcf0f;
}

#modal-search #noRanges label span,
#modal-search #areaFilters label span {
  display: flex;
  justify-content: center;
  align-items: center;
  background: #f8f8f8;
  border: 0.8vw solid #000;
  border-radius: 2.1333333333vw;
  font-weight: 700;
  padding: 1.3333333333vw 0;
  font-size: 22px;
}

#modal-search #noRanges label input,
#modal-search #areaFilters label input {
  display: none;
}

#modal-search #kanaGroup {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 3.4666666667vw;
}

#modal-search #kanaGroup button {
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #f8f8f8;
  border: 0.8vw solid #000;
  border-radius: 2.1333333333vw;
  font-weight: 700;
  aspect-ratio: 1;
  width: 12vw;
  font-size: 24px;
}

#modal-search #kanaGroup button.is-current {
  background: #ffcf0f;
}

#modal-search #kanaChars:has(label) {
  display: flex;
  justify-content: center;
  background: #efefef;
  gap: 3.4666666667vw;
  border-radius: 2.6666666667vw;
  margin-top: 5.3333333333vw;
  padding: 4vw 0;
}

#modal-search #kanaChars:has(label) label:has(input:checked) span {
  background: #ffcf0f;
}

#modal-search #kanaChars:has(label) label span {
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #f8f8f8;
  border: 0.8vw solid #000;
  font-weight: 700;
  aspect-ratio: 1;
  border-radius: 2.1333333333vw;
  width: 12vw;
  font-size: 24px;
}

#modal-search #kanaChars:has(label) label input {
  display: none;
}

:where(body) {
  overflow-x: clip;
  color: #000;
  background: #fff;
  font-family: "Noto Sans JP", sans-serif;
  font-weight: 500;
}

.anywhere {
  overflow-wrap: anywhere;
}

@media print, screen and (min-width: 768px) {
  header {
    filter: drop-shadow(0px 0px min(8px,  calc(8 / 1366 * 100vw)) rgba(0, 0, 0, 0.3));
    width: min(1080px,  calc(1080 / 1366 * 100vw));
    border-radius: 0 0 min(20px,  calc(20 / 1366 * 100vw)) min(20px,  calc(20 / 1366 * 100vw));
    border-width: min(6px,  calc(6 / 1366 * 100vw));
  }

  header .inner {
    align-items: flex-start;
    width: min(890px,  calc(890 / 1366 * 100vw));
    padding: min(65px,  calc(65 / 1366 * 100vw)) 0 min(50px,  calc(50 / 1366 * 100vw)) 0;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }

  header .logo {
    width: min(380px,  calc(380 / 1366 * 100vw));
  }

  header .title {
    width: min(440px,  calc(440 / 1366 * 100vw));
  }

  header .button {
    aspect-ratio: 300/50;
    width: min(300px,  calc(300 / 1366 * 100vw));
    margin: min(40px,  calc(40 / 1366 * 100vw)) auto min(20px,  calc(20 / 1366 * 100vw)) auto;
    border-radius: min(30px,  calc(30 / 1366 * 100vw));
    transition: opacity 0.3s;
  }

  header .button::after {
    width: min(8px,  calc(8 / 1366 * 100vw));
    right: min(20px,  calc(20 / 1366 * 100vw));
  }

  header .caution {
    margin: 0 min(20px,  calc(20 / 1366 * 100vw));
  }

  .shares ul {
    gap: min(20px,  calc(20 / 1366 * 100vw));
  }

  .shares a {
    width: min(60px,  calc(60 / 1366 * 100vw));
    transition: transform 0.3s;
  }

  footer {
    filter: drop-shadow(0px 0px min(8px,  calc(8 / 1366 * 100vw)) rgba(0, 0, 0, 0.3));
  }

  footer #closeFooter {
    aspect-ratio: 150/50;
    width: min(150px,  calc(150 / 1366 * 100vw));
    border-radius: min(10px,  calc(10 / 1366 * 100vw)) min(10px,  calc(10 / 1366 * 100vw)) 0 0;
    top: max(-49px,  calc(-49 / 1366 * 100vw));
  }

  footer #closeFooter::after {
    width: min(16px,  calc(16 / 1366 * 100vw));
  }

  footer .inner {
    flex-direction: row;
    border-width: min(10px,  calc(10 / 1366 * 100vw));
  }

  footer .banner {
    width: min(638px,  calc(638 / 1366 * 100vw));
    transition: opacity 0.3s;
  }

  footer .links {
    gap: min(20px,  calc(20 / 1366 * 100vw));
    padding: 0;
  }

  footer .official a {
    aspect-ratio: 360/50;
    width: min(360px,  calc(360 / 1366 * 100vw));
    border-radius: min(30px,  calc(30 / 1366 * 100vw));
    transition: opacity 0.3s;
  }

  footer .official a::after {
    width: min(8px,  calc(8 / 1366 * 100vw));
    right: min(20px,  calc(20 / 1366 * 100vw));
  }

  .pagetop {
    border-radius: min(10px,  calc(10 / 1366 * 100vw));
    filter: drop-shadow(0 0 min(12px,  calc(12 / 1366 * 100vw)) rgba(0, 0, 0, 0.3));
    transform: translateY(12vw);
    bottom: min(20px,  calc(20 / 1366 * 100vw));
    right: min(20px,  calc(20 / 1366 * 100vw));
    width: min(60px,  calc(60 / 1366 * 100vw));
  }

  .pagetop::after {
    width: min(12px,  calc(12 / 1366 * 100vw));
    border-left: min(3px,  calc(3 / 1366 * 100vw)) solid #000;
    border-top: min(3px,  calc(3 / 1366 * 100vw)) solid #000;
  }

  .modal .modal-inner {
    max-height: 90vh;
    width: min(960px,  calc(960 / 1366 * 100vw));
    border-radius: min(20px,  calc(20 / 1366 * 100vw));
    border-width: min(6px,  calc(6 / 1366 * 100vw));
  }

  .modal .modal-close {
    width: min(31px,  calc(31 / 1366 * 100vw));
    top: min(40px,  calc(40 / 1366 * 100vw));
    right: min(40px,  calc(40 / 1366 * 100vw));
  }

  #modal-terms dl {
    border-radius: min(20px,  calc(20 / 1366 * 100vw));
  }

  #modal-terms dl dt {
    padding: min(40px,  calc(40 / 1366 * 100vw)) 0;
  }

  #modal-terms dl dd.texts {
    padding: min(55px,  calc(55 / 1366 * 100vw)) min(45px,  calc(45 / 1366 * 100vw));
  }

  #modal-terms dl dd.texts ul {
    gap: min(20px,  calc(20 / 1366 * 100vw));
  }

  #modal-terms dl dd.button {
    padding-bottom: min(60px,  calc(60 / 1366 * 100vw));
  }

  #modal-terms dl dd.button button {
    gap: min(10px,  calc(10 / 1366 * 100vw));
    aspect-ratio: 300/60;
    border-radius: min(30px,  calc(30 / 1366 * 100vw));
    width: min(300px,  calc(300 / 1366 * 100vw));
    border-width: min(3px,  calc(3 / 1366 * 100vw));
    filter: drop-shadow(0px 0px min(8px,  calc(8 / 1366 * 100vw)) rgba(0, 0, 0, 0.3));
  }

  #modal-terms dl dd.button button::before {
    width: min(17px,  calc(17 / 1366 * 100vw));
  }

  #modal-search dl {
    border-radius: min(20px,  calc(20 / 1366 * 100vw));
    padding-bottom: min(60px,  calc(60 / 1366 * 100vw));
    min-height: min(506px,  calc(506 / 1366 * 100vw));
  }

  #modal-search dl::after {
    top: min(76px,  calc(76 / 1366 * 100vw));
    height: min(8px,  calc(8 / 1366 * 100vw));
  }

  #modal-search dt {
    padding: min(25px,  calc(25 / 1366 * 100vw)) 0;
  }

  #modal-search dd {
    width: min(830px,  calc(830 / 1366 * 100vw));
    padding-top: min(140px,  calc(140 / 1366 * 100vw));
  }

  #modal-search dd .searchBtn {
    gap: min(10px,  calc(10 / 1366 * 100vw));
    aspect-ratio: 300/60;
    border-radius: min(30px,  calc(30 / 1366 * 100vw));
    width: min(300px,  calc(300 / 1366 * 100vw));
    border-width: min(3px,  calc(3 / 1366 * 100vw));
    margin-top: min(40px,  calc(40 / 1366 * 100vw));
    filter: drop-shadow(0px 0px min(8px,  calc(8 / 1366 * 100vw)) rgba(0, 0, 0, 0.3));
  }

  #modal-search dd .searchBtn::before {
    width: min(17px,  calc(17 / 1366 * 100vw));
  }

  #modal-search #noRanges,
  #modal-search #areaFilters {
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: min(10px,  calc(10 / 1366 * 100vw));
  }

  #modal-search #noRanges label span,
  #modal-search #areaFilters label span {
    border-width: min(3px,  calc(3 / 1366 * 100vw));
    border-radius: min(10px,  calc(10 / 1366 * 100vw));
    padding: min(12px,  calc(12 / 1366 * 100vw)) 0;
  }

  #modal-search #kanaGroup {
    gap: min(20px,  calc(20 / 1366 * 100vw));
  }

  #modal-search #kanaGroup button {
    border-width: min(3px,  calc(3 / 1366 * 100vw));
    border-radius: min(10px,  calc(10 / 1366 * 100vw));
    width: min(60px,  calc(60 / 1366 * 100vw));
  }

  #modal-search #kanaChars:has(label) {
    border-radius: min(20px,  calc(20 / 1366 * 100vw));
    margin-top: min(40px,  calc(40 / 1366 * 100vw));
    gap: min(20px,  calc(20 / 1366 * 100vw));
    padding: min(20px,  calc(20 / 1366 * 100vw)) 0;
  }

  #modal-search #kanaChars:has(label) label span {
    border-width: min(3px,  calc(3 / 1366 * 100vw));
    border-radius: min(10px,  calc(10 / 1366 * 100vw));
    width: min(60px,  calc(60 / 1366 * 100vw));
  }

  ._only_sp {
    display: none;
  }
}

@media print and (hover: hover), screen and (min-width: 768px) and (hover: hover) {
  header .button:hover {
    opacity: 0.6;
  }

  .shares a:hover {
    transform: scale(1.1);
  }

  footer .banner:hover {
    opacity: 0.6;
  }

  footer .official a:hover {
    opacity: 0.6;
  }

  .pagetop:hover {
    opacity: 0.6;
  }
}

@media screen and (min-width: 768px) and (-ms-high-contrast: active), screen and (min-width: 768px) and (-ms-high-contrast: none) {
  header .button:hover {
    opacity: 0.6;
  }

  .shares a:hover {
    transform: scale(1.1);
  }

  footer .banner:hover {
    opacity: 0.6;
  }

  footer .official a:hover {
    opacity: 0.6;
  }

  .pagetop:hover {
    opacity: 0.6;
  }
}

@media only screen and (max-width: 767.8px) {
  header .texts {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5.3333333333vw;
  }

  header .button {
    font-size: 2.8rem;
  }

  header .caution {
    font-size: 2rem;
  }

  footer .official a {
    font-size: 2.8rem;
  }

  footer .copyright,
  footer .caution {
    font-size: 2.4rem;
  }

  #modal-terms dl dt {
    font-size: 3.2rem;
  }

  #modal-terms dl dd.texts li {
    font-size: 2.8rem;
  }

  #modal-terms dl dd.button button {
    font-size: 2.8rem;
  }

  #modal-search dt {
    font-size: 2.8rem;
  }

  #modal-search dd .searchBtn {
    font-size: 2.8rem;
  }

  #modal-search #noRanges label span,
  #modal-search #areaFilters label span {
    font-size: 3.4rem;
  }

  #modal-search #kanaGroup button {
    font-size: 3.6rem;
  }

  #modal-search #kanaChars:has(label) {
    margin-left: -4vw;
    margin-right: -4vw;
  }

  #modal-search #kanaChars:has(label) label span {
    font-size: 3.6rem;
  }

  ._only_pc {
    display: none;
  }
}

@media screen and (min-width: 768px) and (max-width: 1365.8px) {
  header .button {
    font-size: 1.6rem;
  }

  header .caution {
    font-size: 1.2rem;
  }

  footer .official a {
    font-size: 1.6rem;
  }

  footer .copyright,
  footer .caution {
    font-size: 1.2rem;
  }

  #modal-terms dl dt {
    font-size: 2.4rem;
  }

  #modal-terms dl dd.texts li {
    font-size: 1.6rem;
  }

  #modal-terms dl dd.button button {
    font-size: 1.6rem;
  }

  #modal-search dt {
    font-size: 1.8rem;
  }

  #modal-search dd .searchBtn {
    font-size: 1.6rem;
  }

  #modal-search #noRanges label span,
  #modal-search #areaFilters label span {
    font-size: 2.2rem;
  }

  #modal-search #kanaGroup button {
    font-size: 2.4rem;
  }

  #modal-search #kanaChars:has(label) label span {
    font-size: 2.4rem;
  }
}